com.aliyun.svideosdk.common.struct.project

## Class TimeFilter

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Track
  - - com.aliyun.svideosdk.common.struct.project.EffectTrack
    - - com.aliyun.svideosdk.common.struct.project.TimeFilter

-     public class TimeFilter
      extends EffectTrack

  时间特效滤镜 v3.23.0 新增

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.EffectTrack

      `EffectTrack.Type`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.project.EffectTrack

      `mTimelineIn, mTimelineOut`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeFilter()`
    `TimeFilter(int id, long startTime, long duration, int type, float param, boolean needOriginDuration)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `long` | `getDuration()`
    `float` | `getParam()` 获取时间特效参数
    `long` | `getStartTime()` 获取特效开始时间，单位：毫秒
    `int` | `getTimeFilterType()` 获取时间特效类型
    `boolean` | `isNeedOriginDuration()` 是否保存原视频长度
    `void` | `setDuration(long duration)` 设置时间特效时长，单位：毫秒
    `void` | `setNeedOriginDuration(boolean needOriginDuration)` 设置是否保存原视频长度
    `void` | `setParam(float param)` 设置时间特效参数
    `void` | `setStartTime(long startTime)` 设置特效开始时间，单位：毫秒
    `void` | `setTimeFilterType(int type)` 设置时间特效类型

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.EffectTrack

      `getTimelineIn, getTimelineOut, getType, setTimelineIn, setTimelineOut, setType`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Track

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeFilter

          public TimeFilter()

    - #### TimeFilter

          public TimeFilter(int id,
                            long startTime,
                            long duration,
                            int type,
                            float param,
                            boolean needOriginDuration)

  - ### Method Detail

    - #### isNeedOriginDuration

          public boolean isNeedOriginDuration()

      是否保存原视频长度
      Returns:
        是否保存原视频长度

    - #### setNeedOriginDuration

          public void setNeedOriginDuration(boolean needOriginDuration)

      设置是否保存原视频长度
      Parameters:
        `needOriginDuration` - 是否保存原视频长度

    - #### getStartTime

          public long getStartTime()

      获取特效开始时间，单位：毫秒
      Returns:
        开始时间

    - #### setStartTime

          public void setStartTime(long startTime)

      设置特效开始时间，单位：毫秒
      Parameters:
        `startTime` - 开始时间

    - #### getDuration

          public long getDuration()

    - #### setDuration

          public void setDuration(long duration)

      设置时间特效时长，单位：毫秒
      Parameters:
        `mDuration` - 特效时长

    - #### getTimeFilterType

          public int getTimeFilterType()

      获取时间特效类型
      Returns:
        时间特效类型

    - #### setTimeFilterType

          public void setTimeFilterType(int type)

      设置时间特效类型
      Parameters:
        `mType` - 时间特效类型

    - #### getParam

          public float getParam()

      获取时间特效参数
      Returns:
        时间特效参数

    - #### setParam

          public void setParam(float param)

      设置时间特效参数
      Parameters:
        `mParam` - 时间特效参数

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`